<?php 

require_once 'incfiles/core.php';
require_once 'incfiles/func.php';
require_once 'incfiles/auth.php';
require_once 'incfiles/user.php';

if (!empty($user_id)) {header('location: /'); exit;}



	$title = 'Регистрация';

if ($system['reg'] == 3)
{
	require_once 'incfiles/head.php';
	echo '<div class="title">'.$title.'</div>
	<div class="content">
	Регистрация временно закрыта!
	</div>';
	require_once 'incfiles/foot.php'; exit;
}

if (!empty($_POST['reg']))
{
	$name = check($_POST['name']);
	$type = abs(intval($_POST['type']));
	$mail = check($_POST['mail']);
	$pass = @check($_POST['pass']);
	$code = abs(intval($_POST['code']));

if ($type != 1) $type = 0;
	# проверяем имя/фамилию
	if (empty($name)) $err1 = true;
	if (!empty($name) && (mb_strlen($name) < 3 || mb_strlen($name) > 30)) $err1 = true;
    if (!empty($name) && $err1 == false && !preg_match("#^([A-zА-я-ІіЇїЄє])+$#ui", $name)) $err1 = true;

	if ($err1 == true) $err = 'Пожалуйста, укажите Ваше имя и фамилию.';

if ($system['reg'] == 1)
{
	# проверяем пароль
	if (empty($pass)) $err2 = true;
	if (!empty($pass) && mb_strlen($pass) < 4 or !empty($pass) && strlen($pass) > 30) $err2 = true;
	if (empty($err2) && !empty($pass) && !preg_match("#^([A-z0-9])+$#ui", $pass)) $err2 = true;
	if ($err1 == false && $err2 == true) $err = 'Пожалуйста, введите пароль.';
}

	# проверяем E-Mail
	if (empty($mail)) $err3 = true;
	if (!empty($mail) && !preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $mail)) $err3 = true;

# проверяем, не сущестует ли пользователя с таким ник
	if (!empty($name) && $mysqli->query("SELECT `id` FROM `users` WHERE `name` = '$name'")->num_rows == true) $err31 = true;

	if (!empty($name) && $mysqli->query("SELECT `id` FROM `users_new` WHERE `name` = '$name'")->num_rows == true) $err31 = true;
	if ($err1 == false && $err2 == false && $err31 == true) $err = 'Ник занят';


  	# проверяем, не сущестует ли пользователя с таким e-mail
	if (!empty($mail) && $mysqli->query("SELECT `id` FROM `users` WHERE `mail` = '$mail'")->num_rows == true) $err3 = true;
	if (!empty($mail) && $mysqli->query("SELECT `id` FROM `users_new` WHERE `mail` = '$mail'")->num_rows == true) $err3 = true;
	if ($err1 == false && $err2 == false && $err3 == true) $err = 'Пожалуйста, укажите Ваш E-mail.';

	# проверяем код
	if (empty($code)) $err4 = true;
    if (!empty($code) && $_SESSION['code'] != $code) $err4 = true;
	if ($err1 == false && $err2 == false && $err3 == false && $err4 == true) $err = 'Пожалуйста, введите код.';	
	
	# Регистрация
	if ($err == false)
	{
		if ($system['reg'] == 1)
		{
			$mysqli->query("INSERT INTO `users` SET
			`name` = '".$name."',
			`mail` = '".$mail."',
			`pass` = '".md5(md5($pass))."',
			`regtime` = '".time()."',
			`sex` = '".$type."'
			");
		}
		else 
		{
			$genpass = md5(md5(time()));
			$pass = substr($genpass, 0, 7);
		
			if ($mysqli->query("INSERT INTO `users_new` SET
			`name` = '".$name."',
			`mail` = '".$mail."',
			`pass` = '".md5(md5($pass))."',
			`regtime` = '".time()."'
			") == true) $reg = true;
		}
				
		require_once 'incfiles/SendMailSmtpClass.php';
		$mailSMTP = new SendMailSmtpClass('livebook.mail@gmail.com', 'pass', 'ssl://smtp.gmail.com', 'LiveBook.in.ua', 465);
		$message = 'Вітаю, '.$name.'!<br/>
		Ви успішно зареєструвалися на сайті LiveBook.in.ua!<br/>
		Ваші дані для входу на сайт:<br/>
		Ваш E-mail: '.$mail.'<br/>
		Ваш Пароль: '.$pass.'<br/>
		З повагою адміністрація сайту LiveBook.in.ua';
		$headers= "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=utf-8\r\n"; // кодировка письма
		$headers .= "From: LiveBook.in.ua <livebook.mail@gmail.com>\r\n"; // от кого письмо
		$mailSMTP->send($mail, 'Реєстрація', $message, $headers); // отправляем письмо

		if ($system['reg'] == 1)
		{
			$q = $mysqli->query("SELECT * FROM `users` WHERE `mail` = '".$mail."' AND `pass` = '".md5(md5($pass))."' LIMIT 1")->fetch_array();
			$user_id = $q['id'];
			$pass = md5(md5($pass));
			setcookie('uid', $user_id, time()+86400*365, '/');
			setcookie('upass', $pass, time()+86400*365, '/');

			go(URL.'/');
		}
		else if ($reg == true)
		{
			require_once 'incfiles/head.php';
			echo '<div class="title">Добро пожаловать!</div><div class="block">Вы успешно зарегистрированы!<br/>На указаный Вами E-mail отправлены данные для входа на сайт!</div>';
			require_once HOME.'/incfiles/foot.php'; exit;
		}

	}
}
		require_once('incfiles/head.php');

	

echo '<div class="nav">
				<table width="100%" style="text-align: center;">
								<td><a href="'.$URL.'/load.php">Вход</a></td>
								<td><a href="'.$URL.'/reg.php">регистрация</a></td>
				</table>';


		echo err($err).'
		<form action="'.URL.'/reg.php" method="post">
		<div class="block">
	Ник:<br />
		<input class="input" name="name" type="text" maxlength="15" value="'.$name.'"/>
		</div>';
echo '	<div class="block">
	пол:<br />
		<select class="input2" name="type">
        <option value="0">Женский</option>
        <option value="1">Мужской</option>
	</select><br/>
		</div>';	
		
		if ($system['reg'] == 1)
		{
			echo '<div class="block">
			Пароль: <br />
			<input class="input" name="pass" type="password" maxlength="30"  value="'.$pass.'"/>
			</div>';
		}
		echo '<div class="block">
		E-Mail: <br />
		<input class="input" name="mail" type="text" maxlength="30"  value="'.$mail.'"/>
		</div><div class="block">
		<input class="input2" name="code" maxlength="4" size="4" /> 
		<img src="'.URL.'/captcha.php" alt="captcha" />
		</div><div class="block">
		Регистрируясь Вы автоматически принимаете <a href="'.URL.'/about.php?act=rules">условия пользования сайтом</a>
		</div><div class="block">
		<input class="button" type="submit" name="reg" value="Регистрация"/>
		</div>
		</form>
</div>';
echo '</div>';

echo '<div class="bul"></div>';
require_once('incfiles/foot.php');

?>