<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) {go(URL.'/');}

$title = lang('Настройки','Налаштування');
require_once '../incfiles/head.php';

?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
	Page.Loading('start');
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
			Page.Loading('stop');
      }
     }
    });
  });
});
</script>
<?php

$act = htmlentities(trim($_GET['act']));

require_once 'handler/settings.php';
	
switch($act)
{
default:

echo '<div class="title">'.$title.'</div>
	<div class="content_block">
	<a href="'.URL.'/user/settings.php?act=info" onclick="Page.Go(this.href); return false"><li><img src="'.URL.'/design/img/icons/punkt.png"/>Личные данные</li></a>
	<a href="'.URL.'/user/settings.php?act=contacts" onclick="Page.Go(this.href); return false"><li><img src="'.URL.'/design/img/icons/punkt.png"/>Контактная информация</li></a>
	<a href="'.URL.'/user/settings.php?act=cover" onclick="Page.Go(this.href); return false"><li><img src="'.URL.'/design/img/icons/punkt.png"/>Оформление страницы</li></a>
	<a href="'.URL.'/user/settings.php?act=access" onclick="Page.Go(this.href); return false"><li><img src="'.URL.'/design/img/icons/punkt.png"/>Настройки приватности</li></a>
	<a href="'.URL.'/user/settings.php?act=security" onclick="Page.Go(this.href); return false"><li><img src="'.URL.'/design/img/icons/punkt.png"/>Безопасность</li></a>
        <a href="'.URL.'/user/settings.php?act=cover_chat" onclick="Page.Go(this.href); return false"><li><img src="'.URL.'/design/img/icons/punkt.png"/>Смена фона чата</li></a>
	</div>';

break;



case 'info':

	echo '<div class="title">
	<a class="title_a_img" href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/icons/settings.png"/></a>
	<a class="title_a_hover" href="'.URL.'/user/settings.php?act=info" onclick="Page.Go(this.href); return false">'.lang('Личные данные','Особисті дані').'</a>
	</div>
	'.$save.'<form id="form" action="'.URL.'/user/settings.php?act=info" method="post">
	<div class="block">
	'.lang('Имя','Ім\'я').':<br />
	<input class="input" name="name" type="text" maxlength="500"  value="'.$user['name'].'"/>
	</div><div class="block">
	'.lang('Фамилия','Прізвище').':<br />
	<input class="input" name="surname" type="text" maxlength="500"  value="'.$user['surname'].'"/>
	</div><div class="block">
	'.lang('Пол','Стать').': 
	<select class="input2" name="sex">
	<option value="1"'. ($user['sex'] == 1?' selected="selected"':NULL) .'>'.lang('Мужской','Чоловіча').' </option>
	<option value="2"'. ($user['sex'] == 2?' selected="selected"':NULL) .'>'.lang('Женский','Жіноча').'</option>
	</select>
	</div><div class="block">
	'.lang('Дата рождения','Дата народження').':<br />
	<select class="input2" name="day">
	<option value="0"'. ($user['day'] == 0?' selected="selected"':NULL) .'>День</option>
	<option value="1"'. ($user['day'] == 1?' selected="selected"':NULL) .'>1</option>
	<option value="2"'. ($user['day'] == 2?' selected="selected"':NULL) .'>2</option>
	<option value="3"'. ($user['day'] == 3?' selected="selected"':NULL) .'>3</option>
	<option value="4"'. ($user['day'] == 4?' selected="selected"':NULL) .'>4</option>
	<option value="5"'. ($user['day'] == 5?' selected="selected"':NULL) .'>5</option>
	<option value="6"'. ($user['day'] == 6?' selected="selected"':NULL) .'>6</option>
	<option value="7"'. ($user['day'] == 7?' selected="selected"':NULL) .'>7</option>
	<option value="8"'. ($user['day'] == 8?' selected="selected"':NULL) .'>8</option>
	<option value="9"'. ($user['day'] == 9?' selected="selected"':NULL) .'>9</option>
	<option value="10"'. ($user['day'] == 10?' selected="selected"':NULL) .'>10</option>
	<option value="11"'. ($user['day'] == 11?' selected="selected"':NULL) .'>11</option>
	<option value="12"'. ($user['day'] == 12?' selected="selected"':NULL) .'>12</option>
	<option value="13"'. ($user['day'] == 13?' selected="selected"':NULL) .'>13</option>
	<option value="14"'. ($user['day'] == 14?' selected="selected"':NULL) .'>14</option>
	<option value="15"'. ($user['day'] == 15?' selected="selected"':NULL) .'>15</option>
	<option value="16"'. ($user['day'] == 16?' selected="selected"':NULL) .'>16</option>
	<option value="17"'. ($user['day'] == 17?' selected="selected"':NULL) .'>17</option>
	<option value="18"'. ($user['day'] == 18?' selected="selected"':NULL) .'>18</option>
	<option value="19"'. ($user['day'] == 19?' selected="selected"':NULL) .'>19</option>
	<option value="20"'. ($user['day'] == 20?' selected="selected"':NULL) .'>20</option>
	<option value="21"'. ($user['day'] == 21?' selected="selected"':NULL) .'>21</option>
	<option value="22"'. ($user['day'] == 22?' selected="selected"':NULL) .'>22</option>
	<option value="23"'. ($user['day'] == 23?' selected="selected"':NULL) .'>23</option>
	<option value="24"'. ($user['day'] == 24?' selected="selected"':NULL) .'>24</option>
	<option value="25"'. ($user['day'] == 25?' selected="selected"':NULL) .'>25</option>
	<option value="26"'. ($user['day'] == 26?' selected="selected"':NULL) .'>26</option>
	<option value="27"'. ($user['day'] == 27?' selected="selected"':NULL) .'>27</option>
	<option value="28"'. ($user['day'] == 28?' selected="selected"':NULL) .'>28</option>
	<option value="29"'. ($user['day'] == 29?' selected="selected"':NULL) .'>29</option>
	<option value="30"'. ($user['day'] == 30?' selected="selected"':NULL) .'>30</option>
	<option value="31"'. ($user['day'] == 31?' selected="selected"':NULL) .'>31</option>
	</select>
	<select class="input2" name="month">
	<option value="0"'. ($user['month'] == 0?' selected="selected"':NULL) .'>'.lang('Месяц','Місяць').'</option>
	<option value="1"'. ($user['month'] == 1?' selected="selected"':NULL) .'>'.lang('Январь','Січень').'</option>
	<option value="2"'. ($user['month'] == 2?' selected="selected"':NULL) .'>'.lang('Февраль','Лютий').'</option>
	<option value="3"'. ($user['month'] == 3?' selected="selected"':NULL) .'>'.lang('Март','Березень').'</option>
	<option value="4"'. ($user['month'] == 4?' selected="selected"':NULL) .'>'.lang('Апрель','Квітень').'</option>
	<option value="5"'. ($user['month'] == 5?' selected="selected"':NULL) .'>'.lang('Май','Травень').'</option>
	<option value="6"'. ($user['month'] == 6?' selected="selected"':NULL) .'>'.lang('Июнь','Червень').'</option>
	<option value="7"'. ($user['month'] == 7?' selected="selected"':NULL) .'>'.lang('Июль','Липень').'</option>
	<option value="8"'. ($user['month'] == 8?' selected="selected"':NULL) .'>'.lang('Август','Серпень').'</option>
	<option value="9"'. ($user['month'] == 9?' selected="selected"':NULL) .'>'.lang('Сентябрь','Вересень').'</option>
	<option value="10"'. ($user['month'] == 10?' selected="selected"':NULL) .'>'.lang('Октябрь','Жовтень').'</option>
	<option value="11"'. ($user['month'] == 11?' selected="selected"':NULL) .'>'.lang('Ноябрь','Листопад').'</option>
	<option value="12"'. ($user['month'] == 12?' selected="selected"':NULL) .'>'.lang('Декабрь','Грудень').'</option>
	</select>
	<input class="input2" type="text" value="' . $user['year'] . '" size="4" maxlength="4" name="year" placeholder="'.lang('Год','Рік').'"/><br/>
	</div><div class="block">
	'.lang('Показывать на странице','Показувати на сторінці').': 
	<select class="input2" name="hide_year">
	<option value="0"'. ($user['hide_year'] == 0?' selected="selected"':NULL) .'>'.lang('Дату рождения','Дату народження').'</option>
	<option value="1"'. ($user['hide_year'] == 1?' selected="selected"':NULL) .'>'.lang('Только месяц и день','Тільки місяць і день').'</option>
	</select>
	</div><div class="block">
	'.lang('Место жительства','Місце проживання').':<br/>
	<select class="input2" name="region">
	<option value="0"'. ($user['region'] == 0?' selected="selected"':NULL) .'>'.lang('Выбрать','Вибрати').' обл.</option>';
	$res = $mysqli->query("SELECT * FROM `region` ORDER by `id`");
	while ($array = $res->fetch_array())
	{
		echo '<option value="'.$array['id'].'"'. ($user['region'] == $array['id']?' selected="selected"':NULL) .'>'.lang($array['ru_name'],$array['ua_name']).' обл.</option>';
	}
	echo '</select> <input class="input2" name="city" type="text" maxlength="50"  value="'.$user['city'].'" placeholder="'.lang('Родной город','Рідне місто').'"/>
	</div><div class="block">
	'.lang('Семейное положение','Сімейний стан').': 
	<select class="input2" name="family">
	<option value="0"'. ($user['family'] == 0?' selected="selected"':NULL) .'>'.lang('Выбрать','Вибрати').'</option>
	<option value="1"'. ($user['family'] == 1?' selected="selected"':NULL) .'>'.lang('Неженат/Незамужем','Неодружений/Незаміжня').'</option>
	<option value="2"'. ($user['family'] == 2?' selected="selected"':NULL) .'>'.lang('Встречаюсь','Зустрічаюсь').'</option>
	<option value="3"'. ($user['family'] == 3?' selected="selected"':NULL) .'>'.lang('Помолвлен(а)','Заручений/Заручена').'</option>
	<option value="4"'. ($user['family'] == 4?' selected="selected"':NULL) .'>'.lang('Женат/Замужем','Одружений/Заміжня').'</option>
	<option value="5"'. ($user['family'] == 5?' selected="selected"':NULL) .'>'.lang('Все сложно','Все складно').'</option>
	<option value="6"'. ($user['family'] == 6?' selected="selected"':NULL) .'>'.lang('В активном поиске','В активному пошуку').'</option>
	<option value="7"'. ($user['family'] == 7?' selected="selected"':NULL) .'>'.lang('Влюблен(а)','Закоханий/Закохана').'</option>
	</select>
	</div><div class="block">
	'.lang('Увлечения','Захоплення').':<br />
	<input class="input" name="hobi" type="text" maxlength="500"  value="'.$user['hobi'].'"/>
	</div><div class="block">
	'.lang('О себе','Про себе').':<br />
	<textarea class="input" name="about">'.no_tags($user['about']).'</textarea>
	</div><div class="block">
	<input name="save_info" type="hidden" value="1"/>
	<input class="button" type="submit" value="'.lang('Сохранить','Зберегти').'"/>
	</div>
	</form>';
break;



case 'contacts':
echo '<div class="title">
	<a class="title_a_img" href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/icons/settings.png"/></a>
	<a class="title_a_hover" href="'.URL.'/user/settings.php?act=contacts" onclick="Page.Go(this.href); return false">'.lang('Контактная информация','Контактна інформація').'</a>
	</div>
	'.$save.'<form id="form" action="'.URL.'/user/settings.php?act=contacts" method="post">
	<div class="block">
	E-mail:<br />
	<input class="input" name="email" type="text" maxlength="50"  value="'.$user['email'].'"/>
	</div><div class="block">
	Skype:<br />
	<input class="input" name="skype" type="text" maxlength="50"  value="'.$user['skype'].'"/>
	</div><div class="block">
	ICQ:<br />
	<input class="input" name="icq" type="text" maxlength="50"  value="'.$user['icq'].'"/>
	</div><div class="block">
	Моб.телефон:<br/>
	<input class="input" name="tel" type="text" maxlength="50"  value="'.$user['tel'].'"/>
	</div><div class="block">
	<input name="save_contacts" type="hidden" value="1"/>
	<input class="button" type="submit" value="'.lang('Сохранить','Зберегти').'"/>
	</div>
	</form>';
break;



case 'security':
echo '<div class="title">
	<a class="title_a_img" href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/icons/settings.png"/></a>
	<a class="title_a_hover" href="'.URL.'/user/settings.php?act=security" onclick="Page.Go(this.href); return false">'.lang('Безопасность','Безпека').'</a>
	</div>
	'.$save.'<form id="form" action="'.URL.'/user/settings.php?act=security" method="post">
	<div class="block">
	'.lang('Старый','Старий').' пароль:<br />
	<input class="input" name="mypass" type="text" maxlength="20"  value=""/>
	</div><div class="block">
	'.lang('Новый','Новий').' пароль: <br />
	<input class="input" name="newpass" type="text" maxlength="20"  value=""/>
	</div><div class="block">
	'.lang('Введите повторно новый','Введіть повторно новий').' пароль: <br />
	<input class="input" name="newpass2" type="text" maxlength="20"  value=""/>
	</div><div class="block">
	<input name="save_security" type="hidden" value="1"/>
	<input class="button" type="submit" value="'.lang('Сохранить','Зберегти').'"/>
	</div>
	</form>';
break;



case 'access':

if ($mysqli->query("SELECT `id` FROM `ask` WHERE `user_id` = '".$user_id."' LIMIT 1")->num_rows == false) $mysqli->query("INSERT INTO `ask` SET `user_id` = '".$user_id."', `time` = '".time()."'");
$ask = $mysqli->query("SELECT * FROM `ask` WHERE `user_id` = '".$user_id."' LIMIT 1")->fetch_array();

echo '<div class="title">
	<a class="title_a_img" href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/icons/settings.png"/></a>
	<a class="title_a_hover" href="'.URL.'/user/settings.php?act=access" onclick="Page.Go(this.href); return false">'.lang('Настройки приватности','Налаштування приватності').'</a>
	</div>
	'.$save.'<form id="form" action="'.URL.'/user/settings.php?act=access" method="post">
	<div class="block">
	'.lang('Просматривать мою страницу могут','Переглядати мою сторінку можуть').': 
	<select class="input2" name="access_page">
	<option value="0"'. ($user['access_page'] == 0?' selected="selected"':NULL) .'>'.lang('Все пользователи','Усі користувачі').'</option>
	<option value="1"'. ($user['access_page'] == 1?' selected="selected"':NULL) .'>'.lang('Только друзья','Тільки друзі').'</option>
	</select>
	</div><div class="block">
	'.lang('Добавлять записи на стену могут','Додавати записи на стіну можуть').': 
	<select class="input2" name="access_wall">
	<option value="0"'. ($user['access_wall'] == 0?' selected="selected"':NULL) .'>'.lang('Все пользователи','Усі користувачі').'</option>
	<option value="1"'. ($user['access_wall'] == 1?' selected="selected"':NULL) .'>'.lang('Только друзья','Тільки друзі').'</option>
	<option value="2"'. ($user['access_wall'] == 2?' selected="selected"':NULL) .'>'.lang('Только я','Тільки я').'</option>
	</select>
	</div><div class="block">
	'.lang('Отправлять мне сообщения могут','Надсилати мені повідомлення можуть').': 
	<select class="input2" name="access_mail">
	<option value="0"'. ($user['access_mail'] == 0?' selected="selected"':NULL) .'>'.lang('Все пользователи','Усі користувачі').'</option>
	<option value="1"'. ($user['access_mail'] == 1?' selected="selected"':NULL) .'>'.lang('Только друзья','Тільки друзі').'</option>
	</select>
	</div><div class="block">
	'.lang('Задавать мне вопросы могут','Задавати мені питання можуть').': 
	<select class="input2" name="access_ask">
	<option value="0"'. ($ask['access'] == 0?' selected="selected"':NULL) .'>'.lang('Все пользователи','Усі користувачі').'</option>
	<option value="1"'. ($ask['access'] == 1?' selected="selected"':NULL) .'>'.lang('Только друзья','Тільки друзі').'</option>
	<option value="2"'. ($ask['access'] == 2?' selected="selected"':NULL) .'>'.lang('Запретить анонимные вопросы','Заборонити анонімні запитання').'</option>
	<option value="3"'. ($ask['access'] == 3?' selected="selected"':NULL) .'>'.lang('Запретить все вопросы','Заборонити будь-які запитання').'</option>
	</select>
	</div><div class="block">
	<input name="save_access" type="hidden" value="1"/>
	<input class="button" type="submit" value="'.lang('Сохранить','Зберегти').'"/>
	</div>
	</form>';
break;



case 'cover':
?>
<script type="text/javascript">
	$('input:file').remove();
		$(document).ready(function() {
			new AjaxUpload('upload', {
        action: "/user/settings.php?act=cover",
        name: "file",
		data: {ajax: "yes"},
        onSubmit: function(file, ext) {
            if(! (ext && /^(jpg|gif|png|jpeg)$/.test(ext))) {
                return false;
            }
 			Page.Loading('start');
        },
      onComplete: function(file, res) {
	  $('#preview_loading').remove();
            if(res)
                Page.Go("/?id=<?php echo $user_id;?>");
				}
			});
		});
</script>
<?php
echo '<div class="title">
	<a class="title_a_img" href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/icons/settings.png"/></a>
	<a class="title_a_hover" href="'.URL.'/user/settings.php?act=cover" onclick="Page.Go(this.href); return false">Оформление страницы</a>
	</div>
	
<div class="profil12" '.(!empty($user['cover'])? ' style="background: url('.URL.'/files/covers/'.$user['cover'].') center repeat-x; background-size:   auto 100%;width: 100%;height:    150px;"':'').'></div>
	<div class="block">
	<div class="for_pc">
	<button class="button" id="upload">Загрузить обложку</button>
	</div>
	<div class="for_mobile">
	Загрузить обложку:<br/>
	<form action="'.URL.'/user/settings.php?act=cover" method="post" enctype="multipart/form-data">
	<input class="input2" name="file" type="file"/> 
	<input class="button2" type="submit" value="'.lang('Загрузить','Завантажити').'" />
	</form>
	</div>
	</div>';
break;

case 'cover_chat':
require_once '../incfiles/paid.php';

?>
<style>
.fon {background: url(/chat/fon.png) no-repeat;
    -moz-background-size: 100%
    -webkit-background-size: 100%;
    -o-background-size: 100%;
    background-size: 100%;
}
</style>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
	Page.Loading('start');
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
			Page.Loading('stop');
      }
     }
    });
  });
});
</script>
<?php

$act = htmlentities(trim($_GET['act']));


	


?>
<script type="text/javascript">
	$('input:file').remove();
		$(document).ready(function() {
			new AjaxUpload('upload', {
        action: "'.URL.'/user/settings.php?act=cover_chat",
        name: "file",
		data: {ajax: "yes"},
        onSubmit: function(file, ext) {
            if(! (ext && /^(jpg|gif|png|jpeg)$/.test(ext))) {
                return false;
            }
 			Page.Loading('start');
        },
      onComplete: function(file, res) {
	  $('#preview_loading').remove();
            if(res)
                Page.Go("/?id=<?php echo $user['id'];?>");
				}
			});
		});
</script>
<?php
echo '<div class="title">
	<a class="title_a_img" href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/icons/settings.png"/></a>
	<a class="title_a_hover" href="'.URL.'/user/settings.php?act=cover_chat" onclick="Page.Go(this.href); return false">Оформление чата</a>
	</div>
	<div class="fon" '.($paid['pk1']>0?''.(!empty($paid['cover'])? 'style="background: url('.URL.'/chat/files/'.$paid['cover'].'.jpg) center repeat-x; background-size: cover;"':'').'':'').'><br><br><div class="block_chat"> Сергей Туманов,Салам)<div style="color: #000; text-align: right;"><font style="font-size: 15px; color: #226911;"><small>20:16</small></font></div></div><div class="block_chat2"><a href="http://anifan.fun/?id=2"><img class="avatar_icons" src="http://anifan.fun/files/avatars/2/icons/1605472363_359.jpg"/><b>Сергей</b> </a> </a><br> <img src="/design/smiles/marmok/m33.png" width="128px"/><br><div class="right"><a href=""><font style="font-size: 15px; color: #226911;"><small>Вчера в 23:29</small></font></a></div><br></div>

<div class="block_chat"> Я крут<div style="color: #000; text-align: right;"><font style="font-size: 15px; color: #226911;"><small>18.11.2020 в 17:30</small></font></div></div><div class="block_chat2"> <a href="" ><a href="http://anifan.fun/?id=2" onclick="Page.Go(this.href); return false"><img class="avatar_icons" src="http://anifan.fun/files/avatars/2/icons/1605472363_359.jpg"/><b>Сергей</b> </a> </a><br> <img src="/design/smiles/marmok/m8.png" width="128px"/><br><div class="right"><a href="" ><font style="font-size: 15px; color: #226911;"><small>17.11.2020 в 17:25</small></font></a></div><br></div></div>
	<div class="block">';

if ($_GET['buy'] == 'ok'){

# Изменим vip на 1, вместо 0
$mysqli->query("UPDATE `paid` SET `pk1` = '1' WHERE `id` = '".$user_id."'");

# Выводим надпись что куплено
echo ok('Фон включён');

}
if ($_GET['buy'] == 'off'){

# Изменим vip на 1, вместо 0
$mysqli->query("UPDATE `paid` SET `pk1` = '0' WHERE `id` = '".$user_id."'");

# Выводим надпись что куплено
echo ok('Фон выключен');

}
echo ''.($paid['pk1']>0?'<center><div class="block" style=" font-size: 25px; color: #ff9900;"><a style="background: #e77e22; padding: 5px 10px 5px 10px; margin-top: 5px; border-radius: 30px;" href="'.URL.'/user/settings.php?act=cover_chat&buy=off" onclick="Page.Go(this.href); return false">Выключить</a></div></center>':'<div class="block" style="color: #ff9900; font-size: 20px;"><center><a style="background: #7dbf21; padding: 5px 10px 5px 10px; border-radius: 30px;" href="/user/settings.php?act=cover_chat&buy=ok" onclick="Page.Go(this.href); return false">Включить</a></center></div>').'

	<form action="'.URL.'/user/settings.php?act=cover_chat" method="post" enctype="multipart/form-data">
	<input class="input2" name="fon" type="file"/> 
	<input class="button2" type="submit" value="Загрузить" />
	</form>
	</div>
	</div>';
break;

}

require_once '../incfiles/foot.php';

?>